ExceptionPresenterImpl (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.presenters.ExceptionPresenterImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.presenters
Class ExceptionPresenterImpl

    java.lang.Object
      org.apache.tapestry.error.ExceptionPresenterImpl
          org.hyperic.hq.ui.presenters.ExceptionPresenterImpl

All Implemented Interfaces:
  org.apache.tapestry.error.ExceptionPresenter

    public class ExceptionPresenterImpl

extends org.apache.tapestry.error.ExceptionPresenterImpl

Constructor Summary
`ExceptionPresenterImpl()`

Method Summary
`void` | `presentException(org.apache.tapestry.IRequestCycle cycle, java.lang.Throwable t)`
`void` | `setWebRequest(org.apache.tapestry.web.WebRequest request)`

Methods inherited from class org.apache.tapestry.error.ExceptionPresenterImpl
`isVerbose, setExceptionPageName, setRequestExceptionReporter, setResponseRenderer, setVerbose`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionPresenterImpl

    public ExceptionPresenterImpl()

Method Detail

### presentException

    public void presentException(org.apache.tapestry.IRequestCycle cycle,
                                 java.lang.Throwable t)

  Specified by:
    `presentException` in interface `org.apache.tapestry.error.ExceptionPresenter`
  Overrides:
    `presentException` in class `org.apache.tapestry.error.ExceptionPresenterImpl`

### setWebRequest

    public void setWebRequest(org.apache.tapestry.web.WebRequest request)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.